local Blueprints = {
    ['weapon_glock17'] = {
        item_settings = {
            label = 'Glock 17',
            image = 'weapon_glock17', -- use inventory's images
            object = {
                name = 'w_pi_sns_pistol',
                rotation = vector3(45.0, 0.0, 0.0)
            },
            level = 0,
            job = {
                allowed_list = {},
                allowed_grades = {}
            }
        },
        crafting = {
            success_rate = 1,
            amount = 1, -- crafted amount
            duration = 5,
            materials = {
                ["plastic"] = 16,
                ["iron"] = 4        
            },
            exp_per_craft = 50
        }
    },
}

-- DO NOT TOUCH CODE BELLOW IF YOU DON"T KNOW WHAT YOU'RE DOING

function IsBlueprint(item_name)
    if Blueprints[item_name] then
        return true
    else
        return false
    end
end

function GetBlueprint(item_name)
    if Blueprints[item_name] then
        return Blueprints[item_name]
    else
        return false
    end
end
